package com.goafanti.weChat.service;

import com.goafanti.common.model.PublicAssistAdvice;

/**
 * 公出协单意见表(PublicAssistAdvice)表服务接口
 *
 * @author makejava
 * @since 2024-07-12 09:21:26
 */
public interface PublicAssistAdviceService {

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    PublicAssistAdvice queryById(Integer id);

    

    /**
     * 新增数据
     *
     * @param publicAssistAdvice 实例对象
     * @return 实例对象
     */
    PublicAssistAdvice insert(PublicAssistAdvice publicAssistAdvice);

    /**
     * 修改数据
     *
     * @param publicAssistAdvice 实例对象
     * @return 实例对象
     */
    PublicAssistAdvice update(PublicAssistAdvice publicAssistAdvice);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 是否成功
     */
    boolean deleteById(Integer id);

    Object list(Integer id, Integer type);
}
